<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Quests/Scripts/4_world/dayzexpansion_quests/entities/objects/expansionqueststaticobject.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.12</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('db/df6/a02138_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionqueststaticobject.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../db/df6/a02138.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionQuestStaticObject.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span><span class="comment"></span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d7/d87/a08129.html">   13</a></span><span class="comment">/**@class       ExpansionQuestStaticObject</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="comment"> * @brief       This class handles static quest objects used to head-out or take-in quests</span></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span><span class="comment"> **/</span></div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span><span class="keyword">class </span><a class="code hl_class" href="../../d7/d87/a08129.html">ExpansionQuestStaticObject</a> <span class="keyword">extends</span> <a class="code hl_class" href="../../da/ded/a05713.html">BuildingSuper</a></div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>{</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno"><a class="line" href="../../da/ded/a05713.html#a0f3301a63e9f20ff1d31b147e8c42f2d">   18</a></span>    <span class="keyword">private</span> <span class="keywordtype">int</span> m_QuestNPCID = -1;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno"><a class="line" href="../../da/ded/a05713.html#a6f0cfa427449ec8345957e2165aef148">   19</a></span>    <span class="keyword">private</span> ref <a class="code hl_function" href="../../d4/d9b/a02159.html#ab1658af0674451c274b084c2f737be7c">ExpansionQuestNPCData</a> <a class="code hl_variable" href="../../da/ded/a05713.html#a6f0cfa427449ec8345957e2165aef148">m_QuestNPCData</a>;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="comment">// ExpansionQuestStaticObject Constructor</span></div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../da/ded/a05713.html#ac3d57fb7b5493858133689df4bc85a11">   24</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/ded/a05713.html#ac3d57fb7b5493858133689df4bc85a11">ExpansionQuestStaticObject</a>()</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        <span class="keywordflow">if</span> (IsMissionHost())</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>            SetAllowDamage(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span> </div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        RegisterNetSyncVariableInt(<span class="stringliteral">&quot;m_QuestNPCID&quot;</span>, 1, <span class="keywordtype">int</span>.MAX);</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span> </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        m_Expansion_NetsyncData = <span class="keyword">new</span> <a class="code hl_class" href="../../d8/d39/a04449.html">ExpansionNetsyncData</a>(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    }</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span> </div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    <span class="comment">// ExpansionQuestStaticObject DeferredInit</span></div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../da/ded/a05713.html#aa7385016040eb0dca0cbb55842d5a7eb">   37</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/ded/a05713.html#aa7385016040eb0dca0cbb55842d5a7eb">DeferredInit</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        super.DeferredInit();</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="preprocessor">    #ifdef EXPANSIONMODQUESTSMODULEDEBUG</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>        Print(<span class="stringliteral">&quot;-----------------------------------------------------------------------------------------&quot;</span>);</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>        Print(ToString() + <span class="stringliteral">&quot;::DeferredInit - NPC ID: &quot;</span> + m_QuestNPCID);</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        Print(ToString() + <span class="stringliteral">&quot;::DeferredInit - NPC type: &quot;</span> + <a class="code hl_function" href="../../db/d7c/a00722.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a>());</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        Print(<span class="stringliteral">&quot;-----------------------------------------------------------------------------------------&quot;</span>);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span><span class="preprocessor">    #endif</span></div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span> </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    <span class="comment">// ExpansionQuestStaticObject SetQuestNPCID</span></div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno"><a class="line" href="../../da/ded/a05713.html#a4f21bfefd970917135ec3f687bf0152e">   52</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/ded/a05713.html#a4f21bfefd970917135ec3f687bf0152e">SetQuestNPCID</a>(<span class="keywordtype">int</span> <span class="keywordtype">id</span>)</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    {</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        m_QuestNPCID = id;</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        SetSynchDirty();</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    }</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span> </div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    <span class="comment">// ExpansionQuestStaticObject GetQuestNPCID</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno"><a class="line" href="../../da/ded/a05713.html#aa127129101081754f18698f6066aa83e">   61</a></span>    <span class="keywordtype">int</span> <a class="code hl_function" href="../../da/ded/a05713.html#aa127129101081754f18698f6066aa83e">GetQuestNPCID</a>()</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    {</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        <span class="keywordflow">return</span> m_QuestNPCID;</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    }</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span> </div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    <span class="comment">// ExpansionQuestStaticObject SetQuestNPCData</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno"><a class="line" href="../../da/ded/a05713.html#aa10613e9dd3ba77ef9770129d19988b7">   69</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/ded/a05713.html#aa10613e9dd3ba77ef9770129d19988b7">SetQuestNPCData</a>(<a class="code hl_function" href="../../d4/d9b/a02159.html#ab1658af0674451c274b084c2f737be7c">ExpansionQuestNPCData</a> questNPCData)</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        m_QuestNPCData = questNPCData;</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>    }</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span> </div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>    <span class="comment">// ExpansionQuestStaticObject GetQuestNPCData</span></div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    <span class="comment">// ------------------------------------------------------------</span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno"><a class="line" href="../../da/ded/a05713.html#aad3733d77321cfc8352329cab6fcc34a">   77</a></span>    <a class="code hl_function" href="../../d4/d9b/a02159.html#ab1658af0674451c274b084c2f737be7c">ExpansionQuestNPCData</a> <a class="code hl_function" href="../../da/ded/a05713.html#aad3733d77321cfc8352329cab6fcc34a">GetQuestNPCData</a>()</div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    {</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>        <span class="keywordflow">return</span> m_QuestNPCData;</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>    }</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>};</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno"><a class="line" href="../../de/df7/a06393.html">   83</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/df7/a06393.html">ExpansionQuestObjectBoard</a>: <a class="code hl_class" href="../../d7/d87/a08129.html">ExpansionQuestStaticObject</a> {};</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno"><a class="line" href="../../db/d1a/a06397.html">   84</a></span><span class="keyword">class </span><a class="code hl_class" href="../../db/d1a/a06397.html">ExpansionQuestBoardSmall</a>: <a class="code hl_class" href="../../d7/d87/a08129.html">ExpansionQuestStaticObject</a> {};</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno"><a class="line" href="../../d7/d53/a06401.html">   85</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d7/d53/a06401.html">ExpansionQuestBoardLarge</a>: <a class="code hl_class" href="../../d7/d87/a08129.html">ExpansionQuestStaticObject</a> {};</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../d2/dd4/a06405.html">   86</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d2/dd4/a06405.html">ExpansionQuestObjectPaper</a>: <a class="code hl_class" href="../../d7/d87/a08129.html">ExpansionQuestStaticObject</a> {};</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno"><a class="line" href="../../de/d3b/a06409.html">   87</a></span><span class="keyword">class </span><a class="code hl_class" href="../../de/d3b/a06409.html">ExpansionQuestObjectLocker</a>: <a class="code hl_class" href="../../d7/d87/a08129.html">ExpansionQuestStaticObject</a> {};</div>
<div class="ttc" id="aa00722_html_abf2f1d0d1afc0eaf2994523ab122712c"><div class="ttname"><a href="../../db/d7c/a00722.html#abf2f1d0d1afc0eaf2994523ab122712c">GetType</a></div><div class="ttdeci">ExpansionNotificationType GetType()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00045">notificationruntimedata.c:45</a></div></div>
<div class="ttc" id="aa02159_html_ab1658af0674451c274b084c2f737be7c"><div class="ttname"><a href="../../d4/d9b/a02159.html#ab1658af0674451c274b084c2f737be7c">ExpansionQuestNPCData</a></div><div class="ttdeci">void ExpansionQuestNPCData()</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d9b/a02159_source.html#l00041">expansionquestnpcdata.c:41</a></div></div>
<div class="ttc" id="aa04449_html"><div class="ttname"><a href="../../d8/d39/a04449.html">ExpansionNetsyncData</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d88/a00962_source.html#l00013">expansionnetsyncdata.c:14</a></div></div>
<div class="ttc" id="aa05713_html"><div class="ttname"><a href="../../da/ded/a05713.html">BuildingSuper</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d88/a01823_source.html#l00013">expansionatmbase.c:14</a></div></div>
<div class="ttc" id="aa05713_html_a4f21bfefd970917135ec3f687bf0152e"><div class="ttname"><a href="../../da/ded/a05713.html#a4f21bfefd970917135ec3f687bf0152e">BuildingSuper::SetQuestNPCID</a></div><div class="ttdeci">void SetQuestNPCID(int id)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df6/a02138_source.html#l00052">expansionqueststaticobject.c:52</a></div></div>
<div class="ttc" id="aa05713_html_a6f0cfa427449ec8345957e2165aef148"><div class="ttname"><a href="../../da/ded/a05713.html#a6f0cfa427449ec8345957e2165aef148">BuildingSuper::m_QuestNPCData</a></div><div class="ttdeci">private ref ExpansionQuestNPCData m_QuestNPCData</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df6/a02138_source.html#l00019">expansionqueststaticobject.c:19</a></div></div>
<div class="ttc" id="aa05713_html_aa10613e9dd3ba77ef9770129d19988b7"><div class="ttname"><a href="../../da/ded/a05713.html#aa10613e9dd3ba77ef9770129d19988b7">BuildingSuper::SetQuestNPCData</a></div><div class="ttdeci">void SetQuestNPCData(ExpansionQuestNPCData questNPCData)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df6/a02138_source.html#l00069">expansionqueststaticobject.c:69</a></div></div>
<div class="ttc" id="aa05713_html_aa127129101081754f18698f6066aa83e"><div class="ttname"><a href="../../da/ded/a05713.html#aa127129101081754f18698f6066aa83e">BuildingSuper::GetQuestNPCID</a></div><div class="ttdeci">int GetQuestNPCID()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df6/a02138_source.html#l00061">expansionqueststaticobject.c:61</a></div></div>
<div class="ttc" id="aa05713_html_aa7385016040eb0dca0cbb55842d5a7eb"><div class="ttname"><a href="../../da/ded/a05713.html#aa7385016040eb0dca0cbb55842d5a7eb">BuildingSuper::DeferredInit</a></div><div class="ttdeci">override void DeferredInit()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df6/a02138_source.html#l00037">expansionqueststaticobject.c:37</a></div></div>
<div class="ttc" id="aa05713_html_aad3733d77321cfc8352329cab6fcc34a"><div class="ttname"><a href="../../da/ded/a05713.html#aad3733d77321cfc8352329cab6fcc34a">BuildingSuper::GetQuestNPCData</a></div><div class="ttdeci">ExpansionQuestNPCData GetQuestNPCData()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df6/a02138_source.html#l00077">expansionqueststaticobject.c:77</a></div></div>
<div class="ttc" id="aa05713_html_ac3d57fb7b5493858133689df4bc85a11"><div class="ttname"><a href="../../da/ded/a05713.html#ac3d57fb7b5493858133689df4bc85a11">BuildingSuper::ExpansionQuestStaticObject</a></div><div class="ttdeci">void ExpansionQuestStaticObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../db/df6/a02138_source.html#l00024">expansionqueststaticobject.c:24</a></div></div>
<div class="ttc" id="aa06393_html"><div class="ttname"><a href="../../de/df7/a06393.html">ExpansionQuestObjectBoard</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/df6/a02138_source.html#l00083">expansionqueststaticobject.c:83</a></div></div>
<div class="ttc" id="aa06397_html"><div class="ttname"><a href="../../db/d1a/a06397.html">ExpansionQuestBoardSmall</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/df6/a02138_source.html#l00084">expansionqueststaticobject.c:84</a></div></div>
<div class="ttc" id="aa06401_html"><div class="ttname"><a href="../../d7/d53/a06401.html">ExpansionQuestBoardLarge</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/df6/a02138_source.html#l00085">expansionqueststaticobject.c:85</a></div></div>
<div class="ttc" id="aa06405_html"><div class="ttname"><a href="../../d2/dd4/a06405.html">ExpansionQuestObjectPaper</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/df6/a02138_source.html#l00086">expansionqueststaticobject.c:86</a></div></div>
<div class="ttc" id="aa06409_html"><div class="ttname"><a href="../../de/d3b/a06409.html">ExpansionQuestObjectLocker</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/df6/a02138_source.html#l00087">expansionqueststaticobject.c:87</a></div></div>
<div class="ttc" id="aa08129_html"><div class="ttname"><a href="../../d7/d87/a08129.html">ExpansionQuestStaticObject</a></div><div class="ttdoc">This class handles static quest objects used to head-out or take-in quests.</div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_1aeb20201abd12b8e4cbe340a915686e.html">Quests</a></li><li class="navelem"><a class="el" href="../../dir_29e5a841f4af4b583623a745e009ef31.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_6229eaf44b730d10fc037c21be0cc9d2.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_41bb0a1ba7a249856ef624b7024ff764.html">dayzexpansion_quests</a></li><li class="navelem"><a class="el" href="../../dir_1b517365c0e176acd0c5d539074deded.html">entities</a></li><li class="navelem"><a class="el" href="../../dir_205fa19f9d6881816ea805aeb0da553a.html">objects</a></li><li class="navelem"><a class="el" href="../../db/df6/a02138.html">expansionqueststaticobject.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
